Mailinglist Archive: opensuse-updates (126 mails)

< Previous Next >
openSUSE-SU-2018:0236-1: moderate: Security update for curl
openSUSE Security Update: Security update for curl
______________________________________________________________________________

Announcement ID: openSUSE-SU-2018:0236-1
Rating: moderate
References: #1077001
Cross-References: CVE-2018-1000007
Affected Products:
openSUSE Leap 42.3
openSUSE Leap 42.2
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update for curl fixes one issues.

This security issue was fixed:

- CVE-2018-1000007: Prevent leaking authentication data to third parties
when following redirects (bsc#1077001)

This update was imported from the SUSE:SLE-12:Update update project.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2018-98=1

- openSUSE Leap 42.2:

zypper in -t patch openSUSE-2018-98=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.3 (i586 x86_64):

curl-7.37.0-30.1
curl-debuginfo-7.37.0-30.1
curl-debugsource-7.37.0-30.1
libcurl-devel-7.37.0-30.1
libcurl4-7.37.0-30.1
libcurl4-debuginfo-7.37.0-30.1

- openSUSE Leap 42.3 (x86_64):

libcurl-devel-32bit-7.37.0-30.1
libcurl4-32bit-7.37.0-30.1
libcurl4-debuginfo-32bit-7.37.0-30.1

- openSUSE Leap 42.2 (i586 x86_64):

curl-7.37.0-16.15.1
curl-debuginfo-7.37.0-16.15.1
curl-debugsource-7.37.0-16.15.1
libcurl-devel-7.37.0-16.15.1
libcurl4-7.37.0-16.15.1
libcurl4-debuginfo-7.37.0-16.15.1

- openSUSE Leap 42.2 (x86_64):

libcurl-devel-32bit-7.37.0-16.15.1
libcurl4-32bit-7.37.0-16.15.1
libcurl4-debuginfo-32bit-7.37.0-16.15.1


References:

https://www.suse.com/security/cve/CVE-2018-1000007.html
https://bugzilla.suse.com/1077001


< Previous Next >
This Thread
  • No further messages